Subject: issue 32

From: Yakov Rekhter <[email-masked]>
Date: Wed, 25 Sep 2002 10:43:23 -0700

32) Clarify EGP Reference
  ----------------------------------------------------------------------------
  Status: No Consensus
  Change: Potentially
  Summary: Need to clarify the EGP Reference, since there seems to be some
    confusion on the issue.
  
  Discussion:
  
  3. P. 13, EGP, are there other EGP protocols other than BGP that are in use?
  If not, change EGP to BGP.
  
  A response to this suggested that we add a reference to [1] (the EGP
  spec) here.

This will be address as part of the response to issue 9
  
  Another reponse clarified that this refers to EGP-the-protocol and
  NOT the class.
  
  Another response disagreed, but suggested that:
  
  IGP = network was explicitly introduced into bgp (network cmd)
  INCOMPLETE = network was implicitly introduced into bgp (redistribute)
  EGP = other

I've yet to understand what is incorrect with the current text.
I also think that talking about "network cmd" and "redistribute"
makes it a bit vendor specific. Therefore, I think we should keep
the current text.
  
  The original commentor thought that this refered to EGP-the-class of
  protocols.   And why not use BGP therefore, as the only EGP.
  
  There was some disucssion over whether or not we should mention something
  that is historical.

I don't think that the BGP base spec needs to talk about the status
of EGP spec [RFC904].
  
  Jeff suggested a footnote in the Origin section about EGP.
  
  Curtis suggested that we state that the EGP in ORIGIN is depricated,
  but retain the value to document what it used to mean.
  
  This reviewer thinks a statement about whether this "EGP" origin refers
  to the protocol or the class or protocols would be useful.

From the context it should be clear that we are talking about "the EGP"
(means [RFC904]).

Yakov.